<ion-content class="ion-padding">
    <form on:submit|preventDefault={attemptLogin}>
        <ion-item>
            <ion-label position="floating">Email</ion-label>
            <ion-input type="email" on:keyup={(e) => email = e.currentTarget.value }></ion-input>
        </ion-item>
        <ion-item>
            <ion-label position="floating">Password</ion-label>
            <ion-input type="password" on:keyup={(e) => password = e.currentTarget.value }></ion-input>
        </ion-item>
        <br>
        <br>
        <ion-button type="submit" expand="block">Login</ion-button>
    </form>
</ion-content>

<script>
import {presentToast} from '/client/ToastService'
let email = '', password = ''
function attemptLogin() {
    Meteor.loginWithPassword(email, password, (err, res) => {
        if (err) {
            presentToast('Invalid credentials.  Please try again.')
        }
    })
}

</script>